-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt


local M = {}


local function init(jbeamData)
  electrics.values.hammer_throttle = 0
  electrics.values.hammer_throttle_input = 0
  electrics.values.spinner_reverse = 0
  --electrics.values.spinner_throttle = 0
  --electrics.values.spinner_throttleFactor = 0
end

local function reset()
  electrics.values.hammer_throttle = 0
  electrics.values.spinner_reverse = 0
end

local function initSounds()

end

local function updateGFX(dt) -- ms
--print(electrics.values.spinner_reverse)
--electrics.values.spinner_throttleFactor = 1

if electrics.values.spinner_reverse == 1 then
  electrics.values.spinner_throttle = -1
  electrics.values.spinner2_throttle = 0.325
else
  electrics.values.spinner_throttle = 1
  electrics.values.spinner2_throttle = -0.325
end

if electrics.values.hammer_throttle_input == 0 then
  
  if electrics.values.hammer_throttle < 0.76 then
  electrics.values.hammer_throttle = electrics.values.hammer_throttle + 4*dt
  end
else
  electrics.values.hammer_throttle = electrics.values.hammer_throttle_input
end

end








-- public interface
M.init    = reset
M.reset   = reset
M.updateGFX = updateGFX
M.initSounds = initSounds
M.init = init

return M
